Bridge Training
Announcements

Banner and news visible to the current account, with read marks

GET
/announcements

Response Body

application/json

curl -X GET "https://loading/announcements"
{
  "banner": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "kind": "banner",
    "title": {
      "property1": "string",
      "property2": "string"
    },
    "body": {
      "property1": "string",
      "property2": "string"
    },
    "actionLabel": {
      "property1": "string",
      "property2": "string"
    },
    "actionPath": "string",
    "pinned": true,
    "publishedAt": "string",
    "expiresAt": "string",
    "readAt": "string"
  },
  "news": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "kind": "banner",
      "title": {
        "property1": "string",
        "property2": "string"
      },
      "body": {
        "property1": "string",
        "property2": "string"
      },
      "actionLabel": {
        "property1": "string",
        "property2": "string"
      },
      "actionPath": "string",
      "pinned": true,
      "publishedAt": "string",
      "expiresAt": "string",
      "readAt": "string"
    }
  ]
}